Package icyllis.arc3d.engine

# Interface MeshDrawTarget

All Known Implementing Classes:
  `OpFlushState`

@Deprecated public interface MeshDrawTarget
Deprecated.
Abstract interface that supports creating vertices, indices, and meshes, as well as invoking GPU draw operations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `makeIndexSpace(Mesh mesh)`
  Deprecated.
  Makes space for index data.
  `ByteBuffer`
  `makeIndexWriter(Mesh mesh)`
  Deprecated.
  Helper method.
  `long`
  `makeInstanceSpace(Mesh mesh)`
  Deprecated.
  Makes space for instance data.
  `ByteBuffer`
  `makeInstanceWriter(Mesh mesh)`
  Deprecated.
  Helper method.
  `long`
  `makeVertexSpace(Mesh mesh)`
  Deprecated.
  Makes space for vertex data.
  `ByteBuffer`
  `makeVertexWriter(Mesh mesh)`
  Deprecated.
  Helper method.

- ## Method Details

  - ### makeVertexSpace

    long makeVertexSpace(Mesh mesh)
    Deprecated.
    Makes space for vertex data. The returned pointer is the location where vertex data should be written. On return the buffer that will hold the data as well as an offset into the buffer (in 'vertexSize' units) where the data will be placed.

    This method requires `Mesh.getVertexSize()` and `Mesh.getVertexCount()` as arguments and `Mesh.setVertexBuffer(Buffer, int, int)` as results.

    Returns:
      may NULL if failed

  - ### makeInstanceSpace

    long makeInstanceSpace(Mesh mesh)
    Deprecated.
    Makes space for instance data. The returned pointer is the location where instance data should be written. On return the buffer that will hold the data as well as an offset into the buffer (in 'instanceSize' units) where the data will be placed.

    This method requires `Mesh.getInstanceSize()` and `Mesh.getInstanceCount()` as arguments and `Mesh.setInstanceBuffer(Buffer, int, int)` as results.

    Returns:
      may NULL if failed

  - ### makeIndexSpace

    long makeIndexSpace(Mesh mesh)
    Deprecated.
    Makes space for index data. The returned pointer is the location where index data should be written. On return the buffer that will hold the data as well as an offset into the buffer (in 'ushort' units) where the data will be placed.

    This method requires `Mesh.getIndexCount()` as arguments and `Mesh.setIndexBuffer(Buffer, int, int)` as results.

    Returns:
      may NULL if failed

  - ### makeVertexWriter

    @Nullable ByteBuffer makeVertexWriter(Mesh mesh)
    Deprecated.
    Helper method.
    Returns:
      may null if failed
    See Also:
      - `makeVertexSpace(Mesh)`

  - ### makeInstanceWriter

    @Nullable ByteBuffer makeInstanceWriter(Mesh mesh)
    Deprecated.
    Helper method.
    Returns:
      may null if failed
    See Also:
      - `makeInstanceSpace(Mesh)`

  - ### makeIndexWriter

    @Nullable ByteBuffer makeIndexWriter(Mesh mesh)
    Deprecated.
    Helper method.
    Returns:
      may null if failed
    See Also:
      - `makeIndexSpace(Mesh)`